Bug 1816185 - disconnected community catalog always restart because healthcheck failed
Summary: disconnected community catalog always restart because healthcheck failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.3.z
Hardware: x86_64
OS: All
high
high
Target Milestone: ---
: 4.3.z
Assignee: Nick Hale
QA Contact: yhui
URL:
Whiteboard:
Depends On: 1816184
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-23 14:01 UTC by Nick Hale
Modified: 2020-06-17 20:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Slow localhost resolution in operator index pods. Consequence: Operator index pods restart due to failing liveness probes. Fix: Operator index pods write default nsswitch.conf if not present to prefer local files over DNS resolution for localhost. Result: Operator index pods resolve localhost quickly enough for liveness probes to succeed consistently.
Clone Of: 1816184
Environment:
Last Closed: 2020-06-17 20:27:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-registry pull 331 None closed Bug 1816185: fix(dns): fix slow dns resolution of localhost for grpc health probe 2020-06-15 12:39:32 UTC
Red Hat Product Errata RHBA-2020:2436 None None None 2020-06-17 20:28:16 UTC

Comment 6 yhui 2020-05-29 01:45:26 UTC
Version:
OCP version: 4.3.0-0.nightly-2020-05-27-224458
[root@preserve-olm-env 1816185]# oc exec catalog-operator-7558695ff7-qmv7s -n openshift-operator-lifecycle-manager -- olm --version
OLM version: 0.13.0
git commit: 3740fa3a8aa571ba4ee1f048561d674d4fc6c2d3

Platform: azure

Steps to test:
1. Create the community catalog source on platform azure other than aws

cat <<EOF > community-operator-catalog.yaml
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: community-operator-catalog
  namespace: openshift-marketplace
spec:
  displayName: Community Operator Catalog
  sourceType: grpc
  image: docker.io/wangzheng422/operator-catalog:community-2020-02-29
  publisher: Community
EOF
oc create -f community-operator-catalog.yaml


2. Check the catalogsource and pod status.

[root@preserve-olm-env 1816185]# oc get catsrc -n openshift-marketplace
NAME                         DISPLAY                      TYPE   PUBLISHER   AGE
community-operator-catalog   Community Operator Catalog   grpc   Community   24m
[root@preserve-olm-env 1816185]# oc get pod -n openshift-marketplace
NAME                                    READY   STATUS    RESTARTS   AGE
community-operator-catalog-zc2lz        1/1     Running   0          24m

The community operator catalog pod is running. Verify the bug.

Comment 10 errata-xmlrpc 2020-06-17 20:27:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2436


Note You need to log in before you can comment on or make changes to this bug.